Subject: Fw: Invoice 1181886
From: "LLPS Customer Service" <[email-masked]>
To: "Ryan Dooley" <[email-masked]>
Date: Wed, 9 Mar 2011 16:39:59 -0500

Collection...please forward
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]
----- Original Message ----- 
From: "Peoples, Darryn" <[email-masked]>
To: "'Labor Law Poster Service'" <[email-masked]>
Sent: Wednesday, March 09, 2011 1:55 PM
Subject: RE: Invoice 1181886

> Hi Cole,
> I believe I have found the correct person and should be getting approval 
> for processing this invoice shortly. I anticipate payment being sent by 
> the weeks end.
>
> Darryn Peoples
> Team Lead Invoice Processing
> 601 Riverside Ave, Building 5 6th FL
> Jacksonville FL, 32204
> Phone: 904-854-8129
> Fax: 904-357-1059
>
>
> -----Original Message-----
> From: Labor Law Poster Service [mailto:[email-masked]]
> Sent: Wednesday, March 09, 2011 11:59 AM
> To: Peoples, Darryn
> Subject: Invoice 1181886
>
> SENT BY COLE
>
> -------------------------
> Thank you for your order. Your invoice is attached.
>
> This is an automatically generated message from Labor Law Poster Service.
> UID: 542
>